﻿/*
 * Copyright 2011 NEHTA
 *
 * Licensed under the NEHTA Open Source (Apache) License; you may not use this
 * file except in compliance with the License. A copy of the License is in the
 * 'license.txt' file, which should be provided with this work.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

using System;
using System.Runtime.Serialization;

namespace Nehta.VendorLibrary.CDA.Common.Enums
{
    /// <summary>
    /// Prescriber Instruction Sources
    /// </summary>
    [Serializable]
    [DataContract]
    public enum PrescriberInstructionSource
    {
        /// <summary>
        /// Undefined, this is the default value if the enum is left unset.
        /// 
        /// The validation engine uses this to test and assert that the enum has been set (if required)
        /// and is therefore valid.
        /// </summary>
        [EnumMember]
        Undefined,

        /// <summary>
        /// Standing Order
        /// </summary>
        [EnumMember]
		[Name(Name = "Standing Order")]
        StandingOrder,

        /// <summary>
        /// Protocol
        /// </summary>
        [EnumMember]
		[Name(Name = "Protocol")]
        Protocol,

        /// <summary>
        /// Medical Record
        /// </summary>
        [EnumMember]
		[Name(Name = "Medical Record")]
        MedicalRecord,

        /// <summary>
        /// Medication Chart
        /// </summary>
        [EnumMember]
		[Name(Name = "Medication Chart")]
        MedicationChart,

        /// <summary>
        /// Verbal Instruction
        /// </summary>
        [EnumMember]
        [Name(Name = "Verbal Instruction")]
        VerbalInstruction
    }
}
